Bug 440095 - Can't validate XML due to bad /etc/sgml/catalog
Can't validate XML due to bad /etc/sgml/catalog
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openjade (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 14:22 EDT by Horst H. von Brand
Modified: 2008-04-08 06:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 06:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-04-01 14:22:19 EDT
Description of problem:
Running: onsgmls -wxml -s  PClist.xml (from inside xemacs, to validate a file
written by myself) I get an error to the efect that
/etc/sgml/openjade-1.3.2-30.fc8.soc doesn't exist. Sure enough, the current
version of that file is /etc/sgml/openjade-1.3.2-31.fc9.soc. No package claims
/etc/sgml/catalog (where this has to be fixed), that is why I report here.

Version-Release number of selected component (if applicable):
sgml-common-0.6.3-23.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ondrej Vasik 2008-04-01 14:57:13 EDT
Thanks for report.
Because of the packages you mentioned, I suspect that you did update from F8 to
RAWHIDE. That .soc file is registered by openjade package (old should have been
unregistered in preun of the old openjade package, and new one in post of the
new openjade package). If it was rawhide update related, there is unfortunately
no easy way how to fix that. 
Could you confirm that suspection?
Could you please provide rpm -V openjade ?
Thanks...
Comment 2 Horst H. von Brand 2008-04-01 15:44:45 EDT
Nope. This has been rawhide for quite some time (since well before F8, IIRC).

openjade-1.3.2-31.fc9.i386, "rpm -V" is clean.

Shouldn't a "rpm -Uhv --oldpackage --force openjade..." (re)register this?

Is there some sane way to recreate the catalog for emergencies?
Comment 3 Ondrej Vasik 2008-04-01 16:57:52 EDT
Yep, running rpm -Uvh --oldpackage --force openjade-1.3.2-31.fc9.i386.rpm should
reregister the catalog. It's quiet strange that it was not registered properly
during common update, this registration part was not changed for quiet a long
time. Could be some rawhide temporary problem which caused wrong registration...
Comment 4 Horst H. von Brand 2008-04-03 22:04:04 EDT
Should this be closed as "No way to fix" or some such?
Comment 5 Ondrej Vasik 2008-04-04 02:49:53 EDT
Yep, I will close it CANTFIX once I will check the update mechanism once more
time(early next week) as there are insufficient data about the cause of the
problem. I just want to be sure and keeping it opened is harmless and reminds me
that I should do that.
Comment 6 Ondrej Vasik 2008-04-08 06:24:49 EDT
Ok, I tried several update situations once more time and it works on my machine.
Therefore closing that bugzilla as INSUFFICIENT_DATA, as there is no clear
reproducer how to make openjade catalog not registered. Feel free to reopen the
bugzilla ticket if you find something relevant (or easy way how to reproduce the
fact that the openjade soc file is not registered properly). It's quiet probable
that it was some temporary rawhide issue.

Note You need to log in before you can comment on or make changes to this bug.